# Test IAM permissions

`POST /v1/projects/{project}/sites/{site}/test-permissions`, operation `sites.TestIamPermissions`

Returns which of the given permissions the caller holds on a site.

## Parameters

| Name | In | Required | Type | Description |
| --- | --- | --- | --- | --- |
| `project` | path | Yes | `string` | The project's ID. |
| `site` | path | Yes | `string` | The site's ID. |

## Request body

Content-Type: `application/json` (required)

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `permissions` | `string[]` | Yes | Permissions to test, such as resourcemanager.projects.get. |

## Responses

### 200

OK

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `permissions` | `string[]` | Yes | The permissions tested that the caller holds. |

### default

Error

Base URL: `https://api.kosem.ai`. See [API conventions](https://docs.kosem.ai/reference/api-conventions.md) for authentication, pagination and errors, and [https://docs.kosem.ai/openapi.yaml](https://docs.kosem.ai/openapi.yaml) for the full OpenAPI document.